net.minecraft.world.gen

## Class NoiseGeneratorSimplex

- java.lang.Object
- - net.minecraft.world.gen.NoiseGeneratorSimplex

-     public class NoiseGeneratorSimplex
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `field_151610_d`
    `double` | `field_151612_b`
    `double` | `field_151613_c`
    `static double` | `field_151614_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoiseGeneratorSimplex()`
    `NoiseGeneratorSimplex(java.util.Random p_i45471_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `func_151605_a(double p_151605_1_, double p_151605_3_)`
    `void` | `func_151606_a(double[] p_151606_1_, double p_151606_2_, double p_151606_4_, int p_151606_6_, int p_151606_7_, double p_151606_8_, double p_151606_10_, double p_151606_12_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_151614_a

          public static final double field_151614_a

    - #### field_151612_b

          public double field_151612_b

    - #### field_151613_c

          public double field_151613_c

    - #### field_151610_d

          public double field_151610_d

  - ### Constructor Detail

    - #### NoiseGeneratorSimplex

          public NoiseGeneratorSimplex()

    - #### NoiseGeneratorSimplex

          public NoiseGeneratorSimplex(java.util.Random p_i45471_1_)

  - ### Method Detail

    - #### func_151605_a

          public double func_151605_a(double p_151605_1_,
                             double p_151605_3_)

    - #### func_151606_a

          public void func_151606_a(double[] p_151606_1_,
                           double p_151606_2_,
                           double p_151606_4_,
                           int p_151606_6_,
                           int p_151606_7_,
                           double p_151606_8_,
                           double p_151606_10_,
                           double p_151606_12_)